Get a project
curl --request GET \
--url https://api.phare.io/projects/{projectId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.phare.io/projects/{projectId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.phare.io/projects/{projectId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "Luminous Guiding Tower",
"members": [
1,
2,
3
],
"id": 1,
"slug": "luminous-guiding-tower",
"settings": {
"use_incident_ai": true,
"use_incident_merging": true,
"incident_merging_time_window": 60
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"message": "Unauthorized"
}{
"message": "The platform:write permission is required to perform this action."
}{
"message": "Resource not found"
}Projects
Get a project
Get a project by ID
GET
/
projects
/
{projectId}
Get a project
Authorizations
Use a user token to access authenticated routes. The token must be specified in the Authorization HTTP header with the following format 'Authorization: Bearer '.
Path Parameters
ID of the project to show
Response
Success, project retrieved
Project name
Example:
"Luminous Guiding Tower"
List of team members that are part of this project
Required array length:
1 - 100 elementsExample:
[1, 2, 3]
Project ID
Example:
1
Project slug
Example:
"luminous-guiding-tower"
Project settings
Show child attributes
Show child attributes
Date of creation for the entity
Date of last update for the entity
Last modified on February 12, 2026
Was this page helpful?